DripFeedPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Class DripFeedPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.dvb.media.DripFeedPermission

All Implemented Interfaces:
  Serializable, Guard

    public class DripFeedPermission

extends BasicPermission

This class represents a permission to access the drip feed mode.

See Also:
  Serialized Form

Constructor Summary
`DripFeedPermission(String name)` Create a new DripFeedPermission.
`DripFeedPermission(String name, String actions)` Create a new DripFeedPermission.

Method Summary
`boolean` | `implies(Permission p)` Checks if the specified permission is "implied" by this object.

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DripFeedPermission

    public DripFeedPermission(String name)

  Create a new DripFeedPermission.

  Parameters:
    `name` - the name string is currently unused and should be empty

### DripFeedPermission

    public DripFeedPermission(String name,
                              String actions)

  Create a new DripFeedPermission. This constructor is used by the policy class to instantiate new permission objects.

  Parameters:
    `name` - The name string is currently unused and should be empty
    `actions` - The actions string is currently unused and should be null.

Method Detail

### implies

    public boolean implies(Permission p)

  Checks if the specified permission is "implied" by this object.

  Since name and actions are not used, the only check needed is whether p is also a DripFeedPermission.

  Overrides:
    `implies` in class `BasicPermission`
  Parameters:
    `p` - the permission to check against.
  Returns:
    true if the passed permission is equal to or implied by this permission, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD